Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getWirelessSsidsBonjourForwarding({
networkId: "string",
number: "string",
});
export const merakiNetworksWirelessSsidsBonjourForwardingExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_wireless_ssids_bonjour_forwarding(network_id="string",
number="string")
pulumi.export("merakiNetworksWirelessSsidsBonjourForwardingExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupWirelessSsidsBonjourForwarding(ctx, &networks.LookupWirelessSsidsBonjourForwardingArgs{
NetworkId: "string",
Number: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksWirelessSsidsBonjourForwardingExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetWirelessSsidsBonjourForwarding.Invoke(new()
{
NetworkId = "string",
Number = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksWirelessSsidsBonjourForwardingExample"] = example.Apply(getWirelessSsidsBonjourForwardingResult => getWirelessSsidsBonjourForwardingResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetWirelessSsidsBonjourForwardingArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getWirelessSsidsBonjourForwarding(GetWirelessSsidsBonjourForwardingArgs.builder()
.networkId("string")
.number("string")
.build());
ctx.export("merakiNetworksWirelessSsidsBonjourForwardingExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getWirelessSsidsBonjourForwarding
arguments:
networkId: string
number: string
outputs:
merakiNetworksWirelessSsidsBonjourForwardingExample: ${example.item}
Using getWirelessSsidsBonjourForwarding
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWirelessSsidsBonjourForwarding(args: GetWirelessSsidsBonjourForwardingArgs, opts?: InvokeOptions): Promise<GetWirelessSsidsBonjourForwardingResult>
function getWirelessSsidsBonjourForwardingOutput(args: GetWirelessSsidsBonjourForwardingOutputArgs, opts?: InvokeOptions): Output<GetWirelessSsidsBonjourForwardingResult>def get_wireless_ssids_bonjour_forwarding(network_id: Optional[str] = None,
number: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWirelessSsidsBonjourForwardingResult
def get_wireless_ssids_bonjour_forwarding_output(network_id: Optional[pulumi.Input[str]] = None,
number: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWirelessSsidsBonjourForwardingResult]func LookupWirelessSsidsBonjourForwarding(ctx *Context, args *LookupWirelessSsidsBonjourForwardingArgs, opts ...InvokeOption) (*LookupWirelessSsidsBonjourForwardingResult, error)
func LookupWirelessSsidsBonjourForwardingOutput(ctx *Context, args *LookupWirelessSsidsBonjourForwardingOutputArgs, opts ...InvokeOption) LookupWirelessSsidsBonjourForwardingResultOutput> Note: This function is named LookupWirelessSsidsBonjourForwarding in the Go SDK.
public static class GetWirelessSsidsBonjourForwarding
{
public static Task<GetWirelessSsidsBonjourForwardingResult> InvokeAsync(GetWirelessSsidsBonjourForwardingArgs args, InvokeOptions? opts = null)
public static Output<GetWirelessSsidsBonjourForwardingResult> Invoke(GetWirelessSsidsBonjourForwardingInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWirelessSsidsBonjourForwardingResult> getWirelessSsidsBonjourForwarding(GetWirelessSsidsBonjourForwardingArgs args, InvokeOptions options)
public static Output<GetWirelessSsidsBonjourForwardingResult> getWirelessSsidsBonjourForwarding(GetWirelessSsidsBonjourForwardingArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getWirelessSsidsBonjourForwarding:getWirelessSsidsBonjourForwarding
arguments:
# arguments dictionaryThe following arguments are supported:
- network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
getWirelessSsidsBonjourForwarding Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Bonjour Forwarding Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Ssids Bonjour Forwarding Item - Network
Id string - networkId path parameter. Network ID
- Number string
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Bonjour Forwarding Item - network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Bonjour Forwarding Item - network
Id string - networkId path parameter. Network ID
- number string
- number path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Ssids Bonjour Forwarding Item - network_
id str - networkId path parameter. Network ID
- number str
- number path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- number String
- number path parameter.
Supporting Types
GetWirelessSsidsBonjourForwardingItem
- Enabled bool
- If true, Bonjour forwarding is enabled on the SSID.
- Exception
Get
Wireless Ssids Bonjour Forwarding Item Exception - Bonjour forwarding exception
- Rules
List<Get
Wireless Ssids Bonjour Forwarding Item Rule> - Bonjour forwarding rules
- Enabled bool
- If true, Bonjour forwarding is enabled on the SSID.
- Exception
Get
Wireless Ssids Bonjour Forwarding Item Exception - Bonjour forwarding exception
- Rules
[]Get
Wireless Ssids Bonjour Forwarding Item Rule - Bonjour forwarding rules
- enabled Boolean
- If true, Bonjour forwarding is enabled on the SSID.
- exception
Get
Wireless Ssids Bonjour Forwarding Item Exception - Bonjour forwarding exception
- rules
List<Get
Wireless Ssids Bonjour Forwarding Item Rule> - Bonjour forwarding rules
- enabled boolean
- If true, Bonjour forwarding is enabled on the SSID.
- exception
Get
Wireless Ssids Bonjour Forwarding Item Exception - Bonjour forwarding exception
- rules
Get
Wireless Ssids Bonjour Forwarding Item Rule[] - Bonjour forwarding rules
- enabled bool
- If true, Bonjour forwarding is enabled on the SSID.
- exception
Get
Wireless Ssids Bonjour Forwarding Item Exception - Bonjour forwarding exception
- rules
Sequence[Get
Wireless Ssids Bonjour Forwarding Item Rule] - Bonjour forwarding rules
- enabled Boolean
- If true, Bonjour forwarding is enabled on the SSID.
- exception Property Map
- Bonjour forwarding exception
- rules List<Property Map>
- Bonjour forwarding rules
GetWirelessSsidsBonjourForwardingItemException
- Enabled bool
- If true, Bonjour forwarding exception is enabled on this SSID. Exception is required to enable L2 isolation and Bonjour forwarding to work together.
- Enabled bool
- If true, Bonjour forwarding exception is enabled on this SSID. Exception is required to enable L2 isolation and Bonjour forwarding to work together.
- enabled Boolean
- If true, Bonjour forwarding exception is enabled on this SSID. Exception is required to enable L2 isolation and Bonjour forwarding to work together.
- enabled boolean
- If true, Bonjour forwarding exception is enabled on this SSID. Exception is required to enable L2 isolation and Bonjour forwarding to work together.
- enabled bool
- If true, Bonjour forwarding exception is enabled on this SSID. Exception is required to enable L2 isolation and Bonjour forwarding to work together.
- enabled Boolean
- If true, Bonjour forwarding exception is enabled on this SSID. Exception is required to enable L2 isolation and Bonjour forwarding to work together.
GetWirelessSsidsBonjourForwardingItemRule
- Description string
- Desctiption of the bonjour forwarding rule
- Services List<string>
- A list of Bonjour services. At least one service must be specified. Available services are 'All Services', 'AirPlay', 'AFP', 'BitTorrent', 'FTP', 'iChat', 'iTunes', 'Printers', 'Samba', 'Scanners' and 'SSH'
- Vlan
Id string - The ID of the service VLAN. Required
- Description string
- Desctiption of the bonjour forwarding rule
- Services []string
- A list of Bonjour services. At least one service must be specified. Available services are 'All Services', 'AirPlay', 'AFP', 'BitTorrent', 'FTP', 'iChat', 'iTunes', 'Printers', 'Samba', 'Scanners' and 'SSH'
- Vlan
Id string - The ID of the service VLAN. Required
- description String
- Desctiption of the bonjour forwarding rule
- services List<String>
- A list of Bonjour services. At least one service must be specified. Available services are 'All Services', 'AirPlay', 'AFP', 'BitTorrent', 'FTP', 'iChat', 'iTunes', 'Printers', 'Samba', 'Scanners' and 'SSH'
- vlan
Id String - The ID of the service VLAN. Required
- description string
- Desctiption of the bonjour forwarding rule
- services string[]
- A list of Bonjour services. At least one service must be specified. Available services are 'All Services', 'AirPlay', 'AFP', 'BitTorrent', 'FTP', 'iChat', 'iTunes', 'Printers', 'Samba', 'Scanners' and 'SSH'
- vlan
Id string - The ID of the service VLAN. Required
- description str
- Desctiption of the bonjour forwarding rule
- services Sequence[str]
- A list of Bonjour services. At least one service must be specified. Available services are 'All Services', 'AirPlay', 'AFP', 'BitTorrent', 'FTP', 'iChat', 'iTunes', 'Printers', 'Samba', 'Scanners' and 'SSH'
- vlan_
id str - The ID of the service VLAN. Required
- description String
- Desctiption of the bonjour forwarding rule
- services List<String>
- A list of Bonjour services. At least one service must be specified. Available services are 'All Services', 'AirPlay', 'AFP', 'BitTorrent', 'FTP', 'iChat', 'iTunes', 'Printers', 'Samba', 'Scanners' and 'SSH'
- vlan
Id String - The ID of the service VLAN. Required
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
